gsw_entropy_from_t {gsw} | R Documentation

## Specific entropy as a function of in-situ temperature and pressure

### Description

Calculates specific entropy given Absolute Salinity, in-situ temperature and pressure.

### Usage

    gsw_entropy_from_t(SA, t, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`t` | in-situ temperature (ITS-90) [ deg C ]
`p` | sea pressure [ dbar ]

### Details

The related function gsw_entropy_from_CT() is not provided in the C library, although it is available in the (later- versioned) Matlab library.

### Value

specific entropy [ J/(kg*K) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_entropy_from_t.html

### Examples

    gsw_entropy_from_t(34.7118, 28.7856, 10) # 400.3894252787245

[Package gsw version 1.0-3 Index]